
-------------------------------------------------------
-- Dialog boxes for errors, warnings, info
-------------------------------------------------------
dialog = {}

dialog.critical = function(text, halt)

    octane.gui.showDialog
    {
        type  = octane.gui.dialogType.BUTTON_DIALOG,
        title = "ORC Blooper",
        text  = text
    }
    Render:cancel()
    if Window_is_showing == true then
        if halt then OrcWindow:closeWindow() end
    end
end

-------------------------------------------------------
dialog.error = function(text, msg)
    octane.gui.showDialog
    {
        type  = octane.gui.dialogType.BUTTON_DIALOG,
        buttonTexts =  {"OK"}, 
        icon  = octane.gui.dialogIcon.WARNING,
        title = text,
        text  = msg,
    }
end

-------------------------------------------------------
dialog.warning = function(text,msg)

    local ret = octane.gui.showDialog
    {
        type  = octane.gui.dialogType.BUTTON_DIALOG,
        buttonTexts =  {"Continue"}, 
        icon  = octane.gui.dialogIcon.WARNING,
        title = text,
        text  = msg,
    }
end

-------------------------------------------------------
dialog.info = function(text,msg)

    local ret = octane.gui.showDialog
    {
        type  = octane.gui.dialogType.BUTTON_DIALOG,
        buttonTexts =  {"OK"}, 
        icon  = octane.gui.dialogIcon.NONE,
        title = "\n\n"..text,
        text  = msg
    }
end

-------------------------------------------------------
dialog.question = function(choices, title, text)
    local answer = ""
    if choices == 2 then 
        answer = {"Yes", "No" }
    else
        answer = {"Yes", "No", "Cancel" }
    end
    local ret = octane.gui.showDialog
    {
        type  = octane.gui.dialogType.BUTTON_DIALOG,
        buttonTexts = answer,
        icon  = octane.gui.dialogIcon.QUESTION,
        title = title,
        text  = text,
     }
    return ret.result
end

-------------------------------------------------------
dialog.action = function(title, text)

    local ret = octane.gui.showDialog
    {
        type  = octane.gui.dialogType.BUTTON_DIALOG,
        buttonTexts =  { "Add Frame", "Exit", "Clear All Frames"}, 
        icon  = octane.gui.dialogIcon.NONE,
        title = title,
        text  = text,
     }
    return ret.result
end
